# Please keep this package in sync with FC

%define glibapi		2.0
%define glibmajor	8
%define libglib		%mklibname spice-client-glib %{glibapi} %{glibmajor}
%define glibgir		%mklibname spice-client-glib-gir %{glibapi}
%define gtkmajor	5
%define gtkapi3		3.0
%define libgtk3		%mklibname spice-client-gtk %{gtkapi3} %{gtkmajor}
%define gtkgir3		%mklibname spice-client-gtk-gir %{gtkapi3}
%define develname	%mklibname -d %{name}

Name:		spice-gtk
Version:	0.41
Release:	%mkrel 3
Summary:	A GTK client widget for accessing SPICE desktop servers
Group:		Networking/Remote access
License:	LGPLv2+
URL:            https://www.spice-space.org/spice-gtk.html
#VCS:           git:git://anongit.freedesktop.org/spice/spice-gtk
Source0:        https://www.spice-space.org/download/gtk/%{name}-%{version}%{?_version_suffix}.tar.xz
#Source1:        https://www.spice-space.org/download/gtk/%{name}-%{version}%{?_version_suffix}.tar.xz.sig
#Source2:        victortoso-E37A484F.keyring

BuildRequires:	meson
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.10.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.43.90
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.4
BuildRequires:	pkgconfig(gthread-2.0) > 2.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.10
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.10
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(libcacard) >= 0.1.2
BuildRequires:	pkgconfig(libphodav-3.0)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.21
BuildRequires:	pkgconfig(libusbredirhost) >= 0.7.1
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus) >= 0.9.14
BuildRequires:	pkgconfig(pixman-1) >= 0.17.7
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	ldetect-lst
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gtk-doc
BuildRequires:	vala
BuildRequires:	usbutils
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(spice-protocol) >= 0.14.1
BuildRequires:	python3-six
BuildRequires:	python3-pyparsing
BuildRequires:	gnupg2
BuildRequires:	libcap-ng-devel
BuildRequires:	wayland-protocols-devel

%description
Spice-GTK is a GTK client widget for accessing SPICE desktop
servers. This package contains two simple clients based on the
library:
  spicy is a client to access SPICE desktops.
  spicy-screenshot is a tool to capture screen-shots of a SPICE desktop.

%package -n %{libglib}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libglib}
Runtime libraries for %{name}.

%package -n %{glibgir}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libglib} = %{version}-%{release}
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{glibgir}
GObject introspection interface library for %{name}.

%package -n %{libgtk3}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Obsoletes: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libgtk3}
Runtime libraries for %{name}.

%package -n %{gtkgir3}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libgtk3} = %{version}-%{release}
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{gtkgir3}
GObject introspection interface library for %{name}.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libglib} = %{version}-%{release}
Requires: %{libgtk3} = %{version}-%{release}
Requires: %{glibgir} = %{version}-%{release}
Requires: %{gtkgir3} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}spice-gtk3.0-devel < 0.7.81-2

%description -n %{develname}
Development files for %{name}.

%prep
#gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -p1

%build
# meson macro has --auto-features=enabled

%meson \
  -Dbuiltin-mjpeg=false \
%if 0%{?flatpak}
  -Dpolkit=disabled
%else
  -Dusb-acl-helper-dir=%{_libexecdir}/spice-gtk-%{_arch}/
%endif

%meson_build

%check
%meson_test

%install
%meson_install


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc COPYING
%doc README.md
%doc CHANGELOG.md
%{_bindir}/spicy-screenshot
%{_bindir}/spicy
%{_bindir}/spicy-stats
%attr(4755, root, root) %{_libexecdir}/spice-gtk-%{_arch}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy
%{_mandir}/man1/spice-client.1.*

%files -n %{libglib}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}.*

%files -n %{glibgir}
%{_libdir}/girepository-1.0/SpiceClientGLib-%{glibapi}.typelib

%files -n %{libgtk3}
%{_libdir}/libspice-client-gtk-%{gtkapi3}.so.%{gtkmajor}
%{_libdir}/libspice-client-gtk-%{gtkapi3}.so.%{gtkmajor}.*

%files -n %{gtkgir3}
%{_libdir}/girepository-1.0/SpiceClientGtk-%{gtkapi3}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/spice-gtk
%{_includedir}/spice-client-glib-2.0
%{_includedir}/spice-client-gtk-%{gtkapi3}/
%{_libdir}/libspice-client-glib-2.0.so
%{_libdir}/libspice-client-gtk-%{gtkapi3}.so
%{_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{_libdir}/pkgconfig/spice-client-gtk-%{gtkapi3}.pc
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir
%{_datadir}/gir-1.0/SpiceClientGtk-%{gtkapi3}.gir
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.deps
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.vapi
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi3}.deps
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi3}.vapi


%changelog
* Mon Sep 19 2022 tv <tv> 0.41-3.mga9
+ Revision: 1890525
- Rebuild for phodav-3

* Fri Jul 08 2022 tv <tv> 0.41-2.mga9
+ Revision: 1868013
- Update to v0.41

* Wed Apr 06 2022 umeabot <umeabot> 0.40-2.mga9
+ Revision: 1845878
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 0.40-1.mga9
+ Revision: 1778266
- Update to v0.40

* Fri Jan 28 2022 tv <tv> 0.39-4.mga9
+ Revision: 1770116
- Fix build

* Sat Oct 02 2021 wally <wally> 0.39-3.mga9
+ Revision: 1747655
- rebuild for openssl 3.0.0

* Thu Jul 01 2021 tv <tv> 0.39-2.mga9
+ Revision: 1734410
- Fix potential div/0 (rhbz#1941627)

* Wed Mar 03 2021 tv <tv> 0.39-1.mga9
+ Revision: 1697383
- Update to v0.39

* Wed Oct 21 2020 ns80 <ns80> 0.38-2.mga8
+ Revision: 1637608
- adapt Ubuntu patches for CVE-2020-14355 (mga#27368)

* Tue Mar 17 2020 tv <tv> 0.38-1.mga8
+ Revision: 1557233
- Update to v0.38

* Sun Feb 16 2020 umeabot <umeabot> 0.37-5.mga8
+ Revision: 1534840
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.37-4.mga8
+ Revision: 1450166
- Backport clipboard-race patches (rhbz#1755038)

* Thu Sep 26 2019 daviddavid <daviddavid> 0.37-3.mga8
+ Revision: 1446163
- drop python2 build dependencies

* Mon Jul 01 2019 tv <tv> 0.37-2.mga8
+ Revision: 1416651
- new version

* Thu Apr 18 2019 umeabot <umeabot> 0.36-4.mga7
+ Revision: 1392928
- Rebuild with meson 0.50.1

* Fri Mar 08 2019 tv <tv> 0.36-3.mga7
+ Revision: 1372707
- Use actual upstream patches

* Fri Feb 22 2019 tv <tv> 0.36-2.mga7
+ Revision: 1369292
- BR pkgconfig(vapigen)
- Add upstream patches fixing issues with the cursor becoming invisible
  in wayland environments (rhbz#1528200)
- new release
- adjust BRs to it
- switch to meson
- move spice-client-glib-usb-acl-helper
- drop merged CVE patch
- temporary disable 2 LZ patches that need to be rediffed

* Tue Jan 01 2019 luigiwalser <luigiwalser> 0.35-5.mga7
+ Revision: 1347855
- add patches from opensuse to fix CVE-2018-10893

* Fri Nov 16 2018 daviddavid <daviddavid> 0.35-4.mga7
+ Revision: 1330103
- fix BR replacing pkgconfig(usbutils) for usbutils

* Sun Oct 28 2018 bcornec <bcornec> 0.35-3.mga7
+ Revision: 1326307
- build dep on python-six was missing
- Fix CVE mentioned in mga#22879

* Thu Sep 20 2018 tv <tv> 0.35-2.mga7
+ Revision: 1279701
- disable celt51
- Fix scrolling with mousewheel (rhbz#1627823)
- Remove obsolete gudev BuildRequires

* Tue Jun 12 2018 tv <tv> 0.35-1.mga7
+ Revision: 1236531
- new release
- fix URL

* Thu May 31 2018 tv <tv> 0.34-3.mga7
+ Revision: 1233242
- Fix keyboard input under Xwayland (rhbz#1512564)

* Thu Aug 03 2017 tv <tv> 0.34-2.mga7
+ Revision: 1134283
- rebuild for new OpenSSL

* Tue Aug 01 2017 tv <tv> 0.34-1.mga7
+ Revision: 1133453
- new release

* Thu Jul 20 2017 tv <tv> 0.33-4.mga7
+ Revision: 1125497
- channel-usbredir: Fix crash on channel-up (rhbz#1399838)
- usbutils no longer ships usb.ids, it is hwdata now, set path manually.
- Backport fixes for "Couldn't find current GL or GLX context" (rhbz#1461802)

* Thu Dec 22 2016 daviddavid <daviddavid> 0.33-3.mga6
+ Revision: 1076456
- rebuild to regenerate rpms mistakenly missing on repo

* Tue Dec 06 2016 pterjan <pterjan> 0.33-2.mga6
+ Revision: 1072808
- Disable werror, it gets enabled because autosetup created a .git

* Tue Dec 06 2016 tv <tv> 0.33-1.mga6
+ Revision: 1072771
- BR git for %%autosetup
- new release
- drop linking patch from gentoo

* Tue Oct 18 2016 wally <wally> 0.31-3.mga6
+ Revision: 1061961
- add patch from Gentoo to fix linking

* Thu Apr 28 2016 tv <tv> 0.31-2.mga6
+ Revision: 1007100
- enable webdav & lz4 support

* Sat Apr 23 2016 tv <tv> 0.31-1.mga6
+ Revision: 1005481
- new release

* Thu Mar 03 2016 umeabot <umeabot> 0.30-4.mga6
+ Revision: 984134
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 0.30-3.mga6
+ Revision: 962902
- Mageia 6 Mass Rebuild

* Thu Nov 26 2015 fwang <fwang> 0.30-2.mga6
+ Revision: 906155
- br phodav

* Wed Nov 25 2015 fwang <fwang> 0.30-1.mga6
+ Revision: 905951
- we do not have phodav now
- add more br
- br python-six
- 0.30

* Mon Jun 29 2015 wally <wally> 0.29-2.mga6
+ Revision: 847828
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 0.29-1.mga6
+ Revision: 839715
- new version 0.29
- dropped merged patch 1

* Sun Mar 22 2015 tmb <tmb> 0.25-5.mga5
+ Revision: 819093
- rebuild for new usbutils

* Wed Oct 15 2014 umeabot <umeabot> 0.25-4.mga5
+ Revision: 744137
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.25-3.mga5
+ Revision: 724958
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.25-2.mga5
+ Revision: 689285
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 0.25-1.mga5
+ Revision: 640766
- Drop upstream patches
- Add BuildRequires
- 0.25

* Tue Mar 25 2014 oden <oden> 0.23-1.mga5
+ Revision: 608506
- 0.23

* Mon Mar 24 2014 oden <oden> 0.21-3.mga5
+ Revision: 607897
- rebuilt against usbredir-0.6

* Sat Oct 19 2013 umeabot <umeabot> 0.21-2.mga4
+ Revision: 536089
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 colin <colin> 0.21-1.mga4
+ Revision: 483263
- New version: 0.21 (inc. fix for mga#11260 CVE-2013-4324)

* Sat Aug 31 2013 fwang <fwang> 0.20-4.mga4
+ Revision: 473661
- rebuild for new sasl

* Tue Aug 27 2013 luigiwalser <luigiwalser> 0.20-3.mga4
+ Revision: 472091
- rebuild for cyrus-sasl

* Sun Jul 21 2013 fwang <fwang> 0.20-2.mga4
+ Revision: 456829
- cleanup br

* Sun Jul 21 2013 fwang <fwang> 0.20-1.mga4
+ Revision: 456800
- only build gtk2 flavour now
- try fix linking
- fix linkage
- autorecnf is not required
- new version 0.20

* Tue May 28 2013 pterjan <pterjan> 0.19-1.mga4
+ Revision: 429018
- Don't remove embedded spice-protocol, this sadly upsets configure
- Update file list as snappy was renamed
+ ovitters <ovitters>
- drop merged patch
- new version 0.19

* Mon Jan 14 2013 umeabot <umeabot> 0.15-3.mga3
+ Revision: 382521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 cjw <cjw> 0.15-2.mga3
+ Revision: 337619
- patch1: fix build with automake 1.13
- use packaged instead of bundled spice-protocol

* Tue Dec 25 2012 cjw <cjw> 0.15-1.mga3
+ Revision: 334947
- 0.15

* Sun Dec 23 2012 cjw <cjw> 0.14-3.mga3
+ Revision: 334088
- add missing dependency to devel package

* Sun Dec 23 2012 cjw <cjw> 0.14-2.mga3
+ Revision: 334084
- add BuildRequires: pkgconfig(pygtk-2.0)
- build gtk2 python module for virt-manager

* Thu Sep 27 2012 colin <colin> 0.14-1.mga3
+ Revision: 298640
- New version: 0.14
- Apply patch from Fedora (teuf) to clean environment before using dbus in setuid (mga#7536)

* Thu Aug 09 2012 ovitters <ovitters> 0.12.101-1.mga3
+ Revision: 280290
- avoid file conflicts
- increase lib majors
- br pyparsing
- new version 0.12.101
- drop linking patch
- new version 0.12

* Wed Feb 08 2012 ovitters <ovitters> 0.9-1.mga2
+ Revision: 206503
- add upstream patch to fix linking
- fix buildrequires
- explicitly enable usbredir to turn missing BR into clear build errors
- fix buildrequires
- new version
- drop merged patches

* Wed Dec 21 2011 wally <wally> 0.7.150-2.mga2
+ Revision: 185488
- add P1 to fix build with vala
- enable introspection for sure
- add configure option to use our pnp.ids
+ ovitters <ovitters>
- enable vala
- do not run autoreconf/intltoolize

* Tue Dec 20 2011 wally <wally> 0.7.150-1.mga2
+ Revision: 185028
- new version 0.7.150
- rediff P1
- drop P2 and P3
- disable vala build for now

* Thu Dec 01 2011 ovitters <ovitters> 0.7.81-3.mga2
+ Revision: 174944
- package vala bindings
- fix gtk version
- fix typo
+ fwang <fwang>
- split libs
- convert br into pkgconfig style

* Thu Dec 01 2011 fwang <fwang> 0.7.81-1.mga2
+ Revision: 174850
- fix linkage
+ ovitters <ovitters>
- verbose build
- fix buildrequires
- fix buildrequires
- fix buildrequires
- new version 0.7.81

* Wed Jul 20 2011 fwang <fwang> 0.7-1.mga2
+ Revision: 126930
- update file list
- more str fmt fix
- fix multiple definition
- br libcacard
- bump br
- new version 0.7

* Thu Jun 23 2011 cjw <cjw> 0.6-1.mga2
+ Revision: 112680
- add BuildRequires: libsasl2-devel
- add BuildRequires: intltool
- add BuildRequires: gettext-devel
- 0.6 (new import)
+ saispo <saispo>
- imported package spice-gtk

